Loading...
Searching...
No Matches
L4Re::Vfs::Special_file Class Referenceabstract

Interface for a POSIX file that provides special file semantics. More...

`#include <vfs.h>`

Inheritance diagram for L4Re::Vfs::Special_file:
Collaboration diagram for L4Re::Vfs::Special_file:

## Public Member Functions

virtual int | ioctl (unsigned long cmd, va_list args) noexcept=0
| The famous IO control.

## Detailed Description

Interface for a POSIX file that provides special file semantics.

Real objects always use the combined L4Re::Vfs::File interface.

Definition at line 420 of file vfs.h.

## Member Function Documentation

## ioctl()

virtual int L4Re::Vfs::Special_file::ioctl | ( | unsigned long | cmd,
|  | va_list | args )

pure virtualnoexcept

The famous IO control.

Backend for POSIX generic object invocation ioctl.

Parameters

  cmd | The ioctl command.
  args | The arguments for the ioctl, usually some kind of pointer.

Returns
  >=0 on success, or <0 on error.

Implemented in L4Re::Vfs::Be_file.

The documentation for this class was generated from the following file:

- l4/l4re_vfs/vfs.h